import { IWorkspacePorts } from '@adminide-stack/core';
import { ConfigKind } from './config';
import { IServerOptions } from './container';
export interface IDNSRecord {
    kind: ConfigKind.DNS;
    name?: string;
    id: string;
    provider: string;
}
export interface IDNSConfig {
    kind: ConfigKind.DNS;
    subdomain?: string;
    dnsType?: string;
    serverIp?: string;
    ttl?: number;
    proxied?: boolean;
}
export interface IProvidersError {
    isContainerFailed?: boolean;
    isDNSFailed?: boolean;
}
export interface IConfigOptions {
    serverOptions: IServerOptions;
}
export interface IManagerConfig {
    id?: string;
    kind: ConfigKind.CONFIG;
    type?: string;
    workspaceId: string;
    workspaceName: string;
    imageName?: string;
    image?: string;
    dnsId?: string;
    ports?: IWorkspacePorts;
    instance?: Object;
    prevWorkspaceId?: string;
    retryAttempt?: number;
    retryMax?: number;
}
