import { HelmInstallFlags } from 'packages-modules/container-helm/server/src/constants/constants.ts';
import { HelmInspectFlags } from 'packages-modules/container-helm/server/src/constants/constants.ts';
import { HelmRepoFlags } from 'packages-modules/container-helm/server/src/constants/constants.ts';
import { HelmSearchFlags } from 'packages-modules/container-helm/server/src/constants/constants.ts';
import { HelmCommandsGlobalFlags } from 'packages-modules/container-helm/server/src/constants/constants.ts';
import { SternCmdFlags } from 'packages-modules/container-logger/server/src/interfaces/enum.ts';
import { KubectlCmdFlags } from 'packages-modules/container-logger/server/src/interfaces/enum.ts';
import { GraphQLResolveInfo, GraphQLScalarType, GraphQLScalarTypeConfig } from 'graphql';
import { MyContext } from '../context';
export declare type Maybe<T> = T | null;
export declare type Exact<T extends {
    [key: string]: unknown;
}> = {
    [K in keyof T]: T[K];
};
export declare type MakeOptional<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]?: Maybe<T[SubKey]>;
};
export declare type MakeMaybe<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]: Maybe<T[SubKey]>;
};
export declare type EnumResolverSignature<T, AllowedValues = any> = {
    [key in keyof T]?: AllowedValues;
};
export declare type RequireFields<T, K extends keyof T> = {
    [X in Exclude<keyof T, K>]?: T[X];
} & {
    [P in K]-?: NonNullable<T[P]>;
};
/** All built-in and custom scalars, mapped to their actual values */
export declare type Scalars = {
    ID: string;
    String: string;
    Boolean: boolean;
    Int: number;
    Float: number;
    AnyObject: any;
    Date: any;
    DateTime: any;
    JSON: any;
    JSONObject: any;
    Time: any;
    URI: any;
    URIInput: any;
};
export declare type IFieldError = {
    field: Scalars['String'];
    message: Scalars['String'];
};
export declare type IGenerateSSHKeysRequest = {
    name?: Maybe<Scalars['String']>;
    comment?: Maybe<Scalars['String']>;
};
export declare type IGeoLocation = {
    coordinates?: Maybe<Array<Maybe<Scalars['Float']>>>;
};
/**  Helm Commands that are supported  */
export declare const enum IHelmCommands {
    inspect = "inspect",
    repo = "repo",
    search = "search",
    install = "install",
    fetch = "fetch",
    template = "template"
}
export { HelmCommandsGlobalFlags };
export declare const enum IHelmFetchFlags {
    VERSION = "VERSION"
}
export declare type IHelmGetChartResourcesRequest = {
    chartName?: Maybe<Scalars['String']>;
    chartVersion?: Maybe<Scalars['String']>;
    values?: Maybe<Scalars['AnyObject']>;
    setValues?: Maybe<Scalars['AnyObject']>;
};
export declare const enum IHelmInspectCommands {
    chart = "chart",
    readme = "readme",
    values = "values"
}
export { HelmInspectFlags };
export declare type IHelmInspectRequest = {
    helmInspectCommand?: Maybe<IHelmInspectCommands>;
    chartName?: Maybe<Scalars['String']>;
    OptionalInspectFlags?: Maybe<Array<Maybe<IOptionalInspectFlags>>>;
    OptionalGlobalFlags?: Maybe<Array<Maybe<HelmCommandsGlobalFlags>>>;
};
export { HelmInstallFlags };
export declare type IHelmInstallTillerRequest = {
    nameSpace?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
};
export declare type IHelmRepoAddRequest = {
    helmRepoCommand: IHelmRepoCommands;
    repoName: Scalars['String'];
    url: Scalars['String'];
    OptionalRepoFlags?: Maybe<Array<Maybe<IOptionalRepoFlags>>>;
    OptionalGlobalFlags?: Maybe<Array<Maybe<HelmCommandsGlobalFlags>>>;
};
export declare const enum IHelmRepoCommands {
    add = "add",
    update = "update"
}
export { HelmRepoFlags };
export { HelmSearchFlags };
export declare type IHelmSearchRequest = {
    OptionalRegex?: Maybe<Scalars['String']>;
    OptionalSearchFlags?: Maybe<Array<Maybe<IOptionalSearchFlags>>>;
    OptionalGlobalFlags?: Maybe<Array<Maybe<HelmCommandsGlobalFlags>>>;
};
export declare type IHelmService = {
    inspect?: Maybe<Scalars['AnyObject']>;
    repoAdd?: Maybe<Scalars['AnyObject']>;
    search?: Maybe<Scalars['AnyObject']>;
    installTiller?: Maybe<Scalars['AnyObject']>;
    getResources?: Maybe<ITotalConsumption>;
};
export declare type IHelmServiceinspectArgs = {
    helmInspectRequest?: Maybe<IHelmInspectRequest>;
};
export declare type IHelmServicerepoAddArgs = {
    helmRepoAddRequest?: Maybe<IHelmRepoAddRequest>;
};
export declare type IHelmServicesearchArgs = {
    helmSearchRequest?: Maybe<IHelmSearchRequest>;
};
export declare type IHelmServiceinstallTillerArgs = {
    helmInstallTillerREquest?: Maybe<IHelmInstallTillerRequest>;
};
export declare type IHelmServicegetResourcesArgs = {
    helmGetChartResourceRequest?: Maybe<IHelmGetChartResourcesRequest>;
};
export declare const enum IHelmServiceAction {
    inspect = "inspect",
    search = "search",
    repoAdd = "repoAdd",
    installTiller = "installTiller",
    getResources = "getResources"
}
export declare type IIKubectlLogSettings = {
    subTopic?: Maybe<Scalars['String']>;
};
export declare type IISshKeySettings = {
    subTopic?: Maybe<Scalars['String']>;
    sshNamespace?: Maybe<Scalars['String']>;
};
export declare const enum IKubectlCmd {
    stern = "stern",
    kubectl = "kubectl"
}
export { KubectlCmdFlags };
export declare type IKubectlExposePortRequest = {
    podName?: Maybe<Scalars['String']>;
    nameSpace?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
    port?: Maybe<Scalars['Int']>;
    targetPort?: Maybe<Scalars['Int']>;
    protocol?: Maybe<IKubectlPortPortocol>;
};
export declare type IKubectlLoggerService = {
    getLogs?: Maybe<Scalars['AnyObject']>;
};
export declare type IKubectlLoggerServicegetLogsArgs = {
    logRequest?: Maybe<IKubectlLogGetRequest>;
};
export declare const enum IKubectlLoggerServiceAction {
    stream = "stream"
}
export declare type IKubectlLogGetRequest = {
    labelKey: Scalars['String'];
    labelValue: Scalars['String'];
    nameSpace: Scalars['String'];
    tail?: Maybe<Scalars['Int']>;
    stream?: Maybe<Scalars['Boolean']>;
    timeStamp?: Maybe<Scalars['Boolean']>;
};
export declare type IKubectlLogSettings = IIKubectlLogSettings & {
    subTopic?: Maybe<Scalars['String']>;
};
export declare const enum IKubectlPortPortocol {
    TCP = "TCP",
    UDP = "UDP"
}
export declare type IKubectlService = {
    exposePort?: Maybe<Scalars['Boolean']>;
};
export declare type IKubectlServiceexposePortArgs = {
    exposePortRequest?: Maybe<IKubectlExposePortRequest>;
};
export declare const enum IKubectlServiceAction {
    exposePort = "exposePort"
}
/**  All Moleculer Topic names are extended from this. */
export declare const enum IMoleculerServiceName {
    HelmService = "HelmService",
    KubectlLoggerService = "KubectlLoggerService",
    KubectlService = "KubectlService",
    SshKeyService = "SshKeyService",
    dummy = "dummy"
}
export declare type IMutation = {
    AddSshKey?: Maybe<ISshKey>;
    DeleteSshKey?: Maybe<Scalars['Boolean']>;
    UpdateSshKey?: Maybe<ISshKey>;
    dummy?: Maybe<Scalars['Int']>;
};
export declare type IMutationAddSshKeyArgs = {
    key: ISshKeyInput;
};
export declare type IMutationDeleteSshKeyArgs = {
    id: Scalars['ID'];
};
export declare type IMutationUpdateSshKeyArgs = {
    id: Scalars['ID'];
    key: ISshKeyInput;
};
export declare type INode = {
    id: Scalars['ID'];
};
export declare type IOptionalInspectFlags = {
    flag?: Maybe<HelmInspectFlags>;
    value: Scalars['String'];
};
export declare type IOptionalRepoFlags = {
    flag?: Maybe<HelmRepoFlags>;
    value?: Maybe<Scalars['String']>;
};
export declare type IOptionalSearchFlags = {
    flag?: Maybe<HelmSearchFlags>;
    value?: Maybe<Scalars['String']>;
};
export declare type IQuery = {
    GetSshKey?: Maybe<ISshKey>;
    dummy?: Maybe<Scalars['Int']>;
};
export declare type IQueryGetSshKeyArgs = {
    id: Scalars['ID'];
};
export declare type IRequestsLimits = {
    storage?: Maybe<Scalars['String']>;
    cpu?: Maybe<Scalars['String']>;
    memory?: Maybe<Scalars['String']>;
};
export declare type IResources = {
    requests?: Maybe<Array<Maybe<IRequestsLimits>>>;
    limits?: Maybe<Array<Maybe<IRequestsLimits>>>;
};
export declare type ISort = {
    key: Scalars['String'];
    value: ISortEnum;
};
export declare const enum ISortEnum {
    ASC = "ASC",
    DESC = "DESC"
}
export declare type ISshKey = {
    id?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
    key?: Maybe<Scalars['String']>;
    pubKey?: Maybe<Scalars['String']>;
    keyType?: Maybe<Scalars['String']>;
    createdAt?: Maybe<Scalars['String']>;
};
export declare type ISshKeyInput = {
    id?: Maybe<Scalars['String']>;
    name: Scalars['String'];
    pubKey: Scalars['String'];
    key: Scalars['String'];
    keyType?: Maybe<ISshKeyType>;
};
export declare type ISshKeyModel = {
    id?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
    keyType?: Maybe<Scalars['String']>;
    createdAt?: Maybe<Scalars['String']>;
};
export declare type ISshKeyService = {
    addSshKey?: Maybe<ISshKeyModel>;
    deleteSshKey?: Maybe<Scalars['Boolean']>;
    generateKeys?: Maybe<ISshKeyModel>;
    getSshKey?: Maybe<ISshKeyModel>;
    updateSshKey?: Maybe<ISshKeyModel>;
};
export declare type ISshKeyServiceaddSshKeyArgs = {
    input?: Maybe<ISshKeyInput>;
};
export declare type ISshKeyServicedeleteSshKeyArgs = {
    id?: Maybe<Scalars['String']>;
};
export declare type ISshKeyServicegenerateKeysArgs = {
    input?: Maybe<IGenerateSSHKeysRequest>;
};
export declare type ISshKeyServicegetSshKeyArgs = {
    id?: Maybe<Scalars['String']>;
};
export declare type ISshKeyServiceupdateSshKeyArgs = {
    id?: Maybe<Scalars['String']>;
    input?: Maybe<ISshKeyInput>;
};
export declare const enum ISshKeyServiceAction {
    getSshKey = "getSshKey",
    deleteSshKey = "deleteSshKey",
    addSshKey = "addSshKey",
    generateKeys = "generateKeys",
    updateSshKey = "updateSshKey"
}
export declare type ISshKeySettings = IISshKeySettings & {
    subTopic?: Maybe<Scalars['String']>;
    sshNamespace?: Maybe<Scalars['String']>;
};
export declare const enum ISshKeyType {
    RSA = "RSA",
    ED25519 = "ED25519"
}
export { SternCmdFlags };
export declare type ISubscription = {
    dummy?: Maybe<Scalars['Int']>;
};
export declare type ITotalConsumption = {
    request?: Maybe<IRequestsLimits>;
    limits?: Maybe<IRequestsLimits>;
};
export declare type ResolverTypeWrapper<T> = Promise<T> | T;
export declare type ResolverWithResolve<TResult, TParent, TContext, TArgs> = {
    resolve: ResolverFn<TResult, TParent, TContext, TArgs>;
};
export declare type LegacyStitchingResolver<TResult, TParent, TContext, TArgs> = {
    fragment: string;
    resolve: ResolverFn<TResult, TParent, TContext, TArgs>;
};
export declare type NewStitchingResolver<TResult, TParent, TContext, TArgs> = {
    selectionSet: string;
    resolve: ResolverFn<TResult, TParent, TContext, TArgs>;
};
export declare type StitchingResolver<TResult, TParent, TContext, TArgs> = LegacyStitchingResolver<TResult, TParent, TContext, TArgs> | NewStitchingResolver<TResult, TParent, TContext, TArgs>;
export declare type Resolver<TResult, TParent = {}, TContext = {}, TArgs = {}> = ResolverFn<TResult, TParent, TContext, TArgs> | ResolverWithResolve<TResult, TParent, TContext, TArgs> | StitchingResolver<TResult, TParent, TContext, TArgs>;
export declare type ResolverFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => Promise<TResult> | TResult;
export declare type SubscriptionSubscribeFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => AsyncIterator<TResult> | Promise<AsyncIterator<TResult>>;
export declare type SubscriptionResolveFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => TResult | Promise<TResult>;
export interface SubscriptionSubscriberObject<TResult, TKey extends string, TParent, TContext, TArgs> {
    subscribe: SubscriptionSubscribeFn<{
        [key in TKey]: TResult;
    }, TParent, TContext, TArgs>;
    resolve?: SubscriptionResolveFn<TResult, {
        [key in TKey]: TResult;
    }, TContext, TArgs>;
}
export interface SubscriptionResolverObject<TResult, TParent, TContext, TArgs> {
    subscribe: SubscriptionSubscribeFn<any, TParent, TContext, TArgs>;
    resolve: SubscriptionResolveFn<TResult, any, TContext, TArgs>;
}
export declare type SubscriptionObject<TResult, TKey extends string, TParent, TContext, TArgs> = SubscriptionSubscriberObject<TResult, TKey, TParent, TContext, TArgs> | SubscriptionResolverObject<TResult, TParent, TContext, TArgs>;
export declare type SubscriptionResolver<TResult, TKey extends string, TParent = {}, TContext = {}, TArgs = {}> = ((...args: any[]) => SubscriptionObject<TResult, TKey, TParent, TContext, TArgs>) | SubscriptionObject<TResult, TKey, TParent, TContext, TArgs>;
export declare type TypeResolveFn<TTypes, TParent = {}, TContext = {}> = (parent: TParent, context: TContext, info: GraphQLResolveInfo) => Maybe<TTypes> | Promise<Maybe<TTypes>>;
export declare type IsTypeOfResolverFn<T = {}, TContext = {}> = (obj: T, context: TContext, info: GraphQLResolveInfo) => boolean | Promise<boolean>;
export declare type NextResolverFn<T> = () => Promise<T>;
export declare type DirectiveResolverFn<TResult = {}, TParent = {}, TContext = {}, TArgs = {}> = (next: NextResolverFn<TResult>, parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => TResult | Promise<TResult>;
/** Mapping between all available schema types and the resolvers types */
export declare type IResolversTypes = {
    Query: ResolverTypeWrapper<{}>;
    ID: ResolverTypeWrapper<Scalars['ID']>;
    SshKey: ResolverTypeWrapper<ISshKey>;
    String: ResolverTypeWrapper<Scalars['String']>;
    Int: ResolverTypeWrapper<Scalars['Int']>;
    Mutation: ResolverTypeWrapper<{}>;
    SshKeyInput: ISshKeyInput;
    SshKeyType: ISshKeyType;
    Boolean: ResolverTypeWrapper<Scalars['Boolean']>;
    Subscription: ResolverTypeWrapper<{}>;
    AnyObject: ResolverTypeWrapper<Scalars['AnyObject']>;
    Date: ResolverTypeWrapper<Scalars['Date']>;
    DateTime: ResolverTypeWrapper<Scalars['DateTime']>;
    FieldError: ResolverTypeWrapper<IFieldError>;
    GenerateSSHKeysRequest: IGenerateSSHKeysRequest;
    GeoLocation: ResolverTypeWrapper<IGeoLocation>;
    Float: ResolverTypeWrapper<Scalars['Float']>;
    HelmCommands: IHelmCommands;
    HelmCommandsGlobalFlags: HelmCommandsGlobalFlags;
    HelmFetchFlags: IHelmFetchFlags;
    HelmGetChartResourcesRequest: ResolverTypeWrapper<IHelmGetChartResourcesRequest>;
    HelmInspectCommands: IHelmInspectCommands;
    HelmInspectFlags: HelmInspectFlags;
    HelmInspectRequest: ResolverTypeWrapper<IHelmInspectRequest>;
    OptionalInspectFlags: ResolverTypeWrapper<IOptionalInspectFlags>;
    HelmInstallFlags: HelmInstallFlags;
    HelmInstallTillerRequest: ResolverTypeWrapper<IHelmInstallTillerRequest>;
    HelmRepoAddRequest: ResolverTypeWrapper<IHelmRepoAddRequest>;
    HelmRepoCommands: IHelmRepoCommands;
    OptionalRepoFlags: ResolverTypeWrapper<IOptionalRepoFlags>;
    HelmRepoFlags: HelmRepoFlags;
    HelmSearchFlags: HelmSearchFlags;
    HelmSearchRequest: ResolverTypeWrapper<IHelmSearchRequest>;
    OptionalSearchFlags: ResolverTypeWrapper<IOptionalSearchFlags>;
    HelmService: ResolverTypeWrapper<IHelmService>;
    TotalConsumption: ResolverTypeWrapper<ITotalConsumption>;
    RequestsLimits: ResolverTypeWrapper<IRequestsLimits>;
    HelmServiceAction: IHelmServiceAction;
    IKubectlLogSettings: IResolversTypes['KubectlLogSettings'];
    ISshKeySettings: IResolversTypes['SshKeySettings'];
    JSON: ResolverTypeWrapper<Scalars['JSON']>;
    JSONObject: ResolverTypeWrapper<Scalars['JSONObject']>;
    KubectlCmd: IKubectlCmd;
    KubectlCmdFlags: KubectlCmdFlags;
    KubectlExposePortRequest: IKubectlExposePortRequest;
    KubectlPortPortocol: IKubectlPortPortocol;
    KubectlLogGetRequest: ResolverTypeWrapper<IKubectlLogGetRequest>;
    KubectlLogSettings: ResolverTypeWrapper<IKubectlLogSettings>;
    KubectlLoggerService: ResolverTypeWrapper<IKubectlLoggerService>;
    KubectlLoggerServiceAction: IKubectlLoggerServiceAction;
    KubectlService: ResolverTypeWrapper<IKubectlService>;
    KubectlServiceAction: IKubectlServiceAction;
    MoleculerServiceName: IMoleculerServiceName;
    Node: never;
    Resources: ResolverTypeWrapper<IResources>;
    Sort: ISort;
    SortEnum: ISortEnum;
    SshKeyModel: ResolverTypeWrapper<ISshKeyModel>;
    SshKeyService: ResolverTypeWrapper<ISshKeyService>;
    SshKeyServiceAction: ISshKeyServiceAction;
    SshKeySettings: ResolverTypeWrapper<ISshKeySettings>;
    SternCmdFlags: SternCmdFlags;
    Time: ResolverTypeWrapper<Scalars['Time']>;
    URI: ResolverTypeWrapper<Scalars['URI']>;
    URIInput: ResolverTypeWrapper<Scalars['URIInput']>;
};
/** Mapping between all available schema types and the resolvers parents */
export declare type IResolversParentTypes = {
    Query: {};
    ID: Scalars['ID'];
    SshKey: ISshKey;
    String: Scalars['String'];
    Int: Scalars['Int'];
    Mutation: {};
    SshKeyInput: ISshKeyInput;
    Boolean: Scalars['Boolean'];
    Subscription: {};
    AnyObject: Scalars['AnyObject'];
    Date: Scalars['Date'];
    DateTime: Scalars['DateTime'];
    FieldError: IFieldError;
    GenerateSSHKeysRequest: IGenerateSSHKeysRequest;
    GeoLocation: IGeoLocation;
    Float: Scalars['Float'];
    HelmGetChartResourcesRequest: IHelmGetChartResourcesRequest;
    HelmInspectRequest: IHelmInspectRequest;
    OptionalInspectFlags: IOptionalInspectFlags;
    HelmInstallTillerRequest: IHelmInstallTillerRequest;
    HelmRepoAddRequest: IHelmRepoAddRequest;
    OptionalRepoFlags: IOptionalRepoFlags;
    HelmSearchRequest: IHelmSearchRequest;
    OptionalSearchFlags: IOptionalSearchFlags;
    HelmService: IHelmService;
    TotalConsumption: ITotalConsumption;
    RequestsLimits: IRequestsLimits;
    IKubectlLogSettings: IResolversParentTypes['KubectlLogSettings'];
    ISshKeySettings: IResolversParentTypes['SshKeySettings'];
    JSON: Scalars['JSON'];
    JSONObject: Scalars['JSONObject'];
    KubectlExposePortRequest: IKubectlExposePortRequest;
    KubectlLogGetRequest: IKubectlLogGetRequest;
    KubectlLogSettings: IKubectlLogSettings;
    KubectlLoggerService: IKubectlLoggerService;
    KubectlService: IKubectlService;
    Node: never;
    Resources: IResources;
    Sort: ISort;
    SshKeyModel: ISshKeyModel;
    SshKeyService: ISshKeyService;
    SshKeySettings: ISshKeySettings;
    Time: Scalars['Time'];
    URI: Scalars['URI'];
    URIInput: Scalars['URIInput'];
};
export interface IAnyObjectScalarConfig extends GraphQLScalarTypeConfig<IResolversTypes['AnyObject'], any> {
    name: 'AnyObject';
}
export interface IDateScalarConfig extends GraphQLScalarTypeConfig<IResolversTypes['Date'], any> {
    name: 'Date';
}
export interface IDateTimeScalarConfig extends GraphQLScalarTypeConfig<IResolversTypes['DateTime'], any> {
    name: 'DateTime';
}
export declare type IFieldErrorResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['FieldError'] = IResolversParentTypes['FieldError']> = {
    field?: Resolver<IResolversTypes['String'], ParentType, ContextType>;
    message?: Resolver<IResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IGeoLocationResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['GeoLocation'] = IResolversParentTypes['GeoLocation']> = {
    coordinates?: Resolver<Maybe<Array<Maybe<IResolversTypes['Float']>>>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IHelmCommandsGlobalFlagsResolvers = EnumResolverSignature<{
    DEBUG_FLAG?: any;
}, IResolversTypes['HelmCommandsGlobalFlags']>;
export declare type IHelmGetChartResourcesRequestResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['HelmGetChartResourcesRequest'] = IResolversParentTypes['HelmGetChartResourcesRequest']> = {
    chartName?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    chartVersion?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    values?: Resolver<Maybe<IResolversTypes['AnyObject']>, ParentType, ContextType>;
    setValues?: Resolver<Maybe<IResolversTypes['AnyObject']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IHelmInspectFlagsResolvers = EnumResolverSignature<{
    CA_FILE_FLAG?: any;
    CERT_FILE_FLAG?: any;
    KEY_FILE_FLAG?: any;
    KEYRING_FLAG?: any;
    PASSWORD_FLAG?: any;
    REPO_FLAG?: any;
    USERNAME_FLAG?: any;
    VERSION_FLAG?: any;
}, IResolversTypes['HelmInspectFlags']>;
export declare type IHelmInspectRequestResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['HelmInspectRequest'] = IResolversParentTypes['HelmInspectRequest']> = {
    helmInspectCommand?: Resolver<Maybe<IResolversTypes['HelmInspectCommands']>, ParentType, ContextType>;
    chartName?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    OptionalInspectFlags?: Resolver<Maybe<Array<Maybe<IResolversTypes['OptionalInspectFlags']>>>, ParentType, ContextType>;
    OptionalGlobalFlags?: Resolver<Maybe<Array<Maybe<IResolversTypes['HelmCommandsGlobalFlags']>>>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IHelmInstallFlagsResolvers = EnumResolverSignature<{
    SET?: any;
    NAME?: any;
    NAME_SPACE?: any;
}, IResolversTypes['HelmInstallFlags']>;
export declare type IHelmInstallTillerRequestResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['HelmInstallTillerRequest'] = IResolversParentTypes['HelmInstallTillerRequest']> = {
    nameSpace?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    name?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IHelmRepoAddRequestResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['HelmRepoAddRequest'] = IResolversParentTypes['HelmRepoAddRequest']> = {
    helmRepoCommand?: Resolver<IResolversTypes['HelmRepoCommands'], ParentType, ContextType>;
    repoName?: Resolver<IResolversTypes['String'], ParentType, ContextType>;
    url?: Resolver<IResolversTypes['String'], ParentType, ContextType>;
    OptionalRepoFlags?: Resolver<Maybe<Array<Maybe<IResolversTypes['OptionalRepoFlags']>>>, ParentType, ContextType>;
    OptionalGlobalFlags?: Resolver<Maybe<Array<Maybe<IResolversTypes['HelmCommandsGlobalFlags']>>>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IHelmRepoFlagsResolvers = EnumResolverSignature<{
    CA_FILE_FLAG?: any;
    CERT_FILE_FLAG?: any;
    KEY_FILE_FLAG?: any;
    PASSWORD_FLAG?: any;
    USERNAME_FLAG?: any;
    No_UPDATE_FLAG?: any;
}, IResolversTypes['HelmRepoFlags']>;
export declare type IHelmSearchFlagsResolvers = EnumResolverSignature<{
    REGEXP?: any;
    VERSION?: any;
    VERSIONS?: any;
}, IResolversTypes['HelmSearchFlags']>;
export declare type IHelmSearchRequestResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['HelmSearchRequest'] = IResolversParentTypes['HelmSearchRequest']> = {
    OptionalRegex?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    OptionalSearchFlags?: Resolver<Maybe<Array<Maybe<IResolversTypes['OptionalSearchFlags']>>>, ParentType, ContextType>;
    OptionalGlobalFlags?: Resolver<Maybe<Array<Maybe<IResolversTypes['HelmCommandsGlobalFlags']>>>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IHelmServiceResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['HelmService'] = IResolversParentTypes['HelmService']> = {
    inspect?: Resolver<Maybe<IResolversTypes['AnyObject']>, ParentType, ContextType, RequireFields<IHelmServiceinspectArgs, never>>;
    repoAdd?: Resolver<Maybe<IResolversTypes['AnyObject']>, ParentType, ContextType, RequireFields<IHelmServicerepoAddArgs, never>>;
    search?: Resolver<Maybe<IResolversTypes['AnyObject']>, ParentType, ContextType, RequireFields<IHelmServicesearchArgs, never>>;
    installTiller?: Resolver<Maybe<IResolversTypes['AnyObject']>, ParentType, ContextType, RequireFields<IHelmServiceinstallTillerArgs, never>>;
    getResources?: Resolver<Maybe<IResolversTypes['TotalConsumption']>, ParentType, ContextType, RequireFields<IHelmServicegetResourcesArgs, never>>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IIKubectlLogSettingsResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['IKubectlLogSettings'] = IResolversParentTypes['IKubectlLogSettings']> = {
    __resolveType: TypeResolveFn<'KubectlLogSettings', ParentType, ContextType>;
    subTopic?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
};
export declare type IISshKeySettingsResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['ISshKeySettings'] = IResolversParentTypes['ISshKeySettings']> = {
    __resolveType: TypeResolveFn<'SshKeySettings', ParentType, ContextType>;
    subTopic?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    sshNamespace?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
};
export interface IJSONScalarConfig extends GraphQLScalarTypeConfig<IResolversTypes['JSON'], any> {
    name: 'JSON';
}
export interface IJSONObjectScalarConfig extends GraphQLScalarTypeConfig<IResolversTypes['JSONObject'], any> {
    name: 'JSONObject';
}
export declare type IKubectlCmdFlagsResolvers = EnumResolverSignature<{
    LABEL?: any;
    TAIL?: any;
    STREAM?: any;
    NAMESPACE?: any;
    CONTAINER?: any;
    TIMESTAMPS?: any;
}, IResolversTypes['KubectlCmdFlags']>;
export declare type IKubectlLoggerServiceResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['KubectlLoggerService'] = IResolversParentTypes['KubectlLoggerService']> = {
    getLogs?: Resolver<Maybe<IResolversTypes['AnyObject']>, ParentType, ContextType, RequireFields<IKubectlLoggerServicegetLogsArgs, never>>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IKubectlLogGetRequestResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['KubectlLogGetRequest'] = IResolversParentTypes['KubectlLogGetRequest']> = {
    labelKey?: Resolver<IResolversTypes['String'], ParentType, ContextType>;
    labelValue?: Resolver<IResolversTypes['String'], ParentType, ContextType>;
    nameSpace?: Resolver<IResolversTypes['String'], ParentType, ContextType>;
    tail?: Resolver<Maybe<IResolversTypes['Int']>, ParentType, ContextType>;
    stream?: Resolver<Maybe<IResolversTypes['Boolean']>, ParentType, ContextType>;
    timeStamp?: Resolver<Maybe<IResolversTypes['Boolean']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IKubectlLogSettingsResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['KubectlLogSettings'] = IResolversParentTypes['KubectlLogSettings']> = {
    subTopic?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IKubectlServiceResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['KubectlService'] = IResolversParentTypes['KubectlService']> = {
    exposePort?: Resolver<Maybe<IResolversTypes['Boolean']>, ParentType, ContextType, RequireFields<IKubectlServiceexposePortArgs, never>>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IMutationResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['Mutation'] = IResolversParentTypes['Mutation']> = {
    AddSshKey?: Resolver<Maybe<IResolversTypes['SshKey']>, ParentType, ContextType, RequireFields<IMutationAddSshKeyArgs, 'key'>>;
    DeleteSshKey?: Resolver<Maybe<IResolversTypes['Boolean']>, ParentType, ContextType, RequireFields<IMutationDeleteSshKeyArgs, 'id'>>;
    UpdateSshKey?: Resolver<Maybe<IResolversTypes['SshKey']>, ParentType, ContextType, RequireFields<IMutationUpdateSshKeyArgs, 'id' | 'key'>>;
    dummy?: Resolver<Maybe<IResolversTypes['Int']>, ParentType, ContextType>;
};
export declare type INodeResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['Node'] = IResolversParentTypes['Node']> = {
    __resolveType: TypeResolveFn<null, ParentType, ContextType>;
    id?: Resolver<IResolversTypes['ID'], ParentType, ContextType>;
};
export declare type IOptionalInspectFlagsResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['OptionalInspectFlags'] = IResolversParentTypes['OptionalInspectFlags']> = {
    flag?: Resolver<Maybe<IResolversTypes['HelmInspectFlags']>, ParentType, ContextType>;
    value?: Resolver<IResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IOptionalRepoFlagsResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['OptionalRepoFlags'] = IResolversParentTypes['OptionalRepoFlags']> = {
    flag?: Resolver<Maybe<IResolversTypes['HelmRepoFlags']>, ParentType, ContextType>;
    value?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IOptionalSearchFlagsResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['OptionalSearchFlags'] = IResolversParentTypes['OptionalSearchFlags']> = {
    flag?: Resolver<Maybe<IResolversTypes['HelmSearchFlags']>, ParentType, ContextType>;
    value?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IQueryResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['Query'] = IResolversParentTypes['Query']> = {
    GetSshKey?: Resolver<Maybe<IResolversTypes['SshKey']>, ParentType, ContextType, RequireFields<IQueryGetSshKeyArgs, 'id'>>;
    dummy?: Resolver<Maybe<IResolversTypes['Int']>, ParentType, ContextType>;
};
export declare type IRequestsLimitsResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['RequestsLimits'] = IResolversParentTypes['RequestsLimits']> = {
    storage?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    cpu?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    memory?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type IResourcesResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['Resources'] = IResolversParentTypes['Resources']> = {
    requests?: Resolver<Maybe<Array<Maybe<IResolversTypes['RequestsLimits']>>>, ParentType, ContextType>;
    limits?: Resolver<Maybe<Array<Maybe<IResolversTypes['RequestsLimits']>>>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type ISshKeyResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['SshKey'] = IResolversParentTypes['SshKey']> = {
    id?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    name?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    key?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    pubKey?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    keyType?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    createdAt?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type ISshKeyModelResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['SshKeyModel'] = IResolversParentTypes['SshKeyModel']> = {
    id?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    name?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    keyType?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    createdAt?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type ISshKeyServiceResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['SshKeyService'] = IResolversParentTypes['SshKeyService']> = {
    addSshKey?: Resolver<Maybe<IResolversTypes['SshKeyModel']>, ParentType, ContextType, RequireFields<ISshKeyServiceaddSshKeyArgs, never>>;
    deleteSshKey?: Resolver<Maybe<IResolversTypes['Boolean']>, ParentType, ContextType, RequireFields<ISshKeyServicedeleteSshKeyArgs, never>>;
    generateKeys?: Resolver<Maybe<IResolversTypes['SshKeyModel']>, ParentType, ContextType, RequireFields<ISshKeyServicegenerateKeysArgs, never>>;
    getSshKey?: Resolver<Maybe<IResolversTypes['SshKeyModel']>, ParentType, ContextType, RequireFields<ISshKeyServicegetSshKeyArgs, never>>;
    updateSshKey?: Resolver<Maybe<IResolversTypes['SshKeyModel']>, ParentType, ContextType, RequireFields<ISshKeyServiceupdateSshKeyArgs, never>>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type ISshKeySettingsResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['SshKeySettings'] = IResolversParentTypes['SshKeySettings']> = {
    subTopic?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    sshNamespace?: Resolver<Maybe<IResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export declare type ISternCmdFlagsResolvers = EnumResolverSignature<{
    LABEL?: any;
    NAMESPACE?: any;
    TIMESTAMPS?: any;
    TAIL?: any;
    CONTAINER?: any;
}, IResolversTypes['SternCmdFlags']>;
export declare type ISubscriptionResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['Subscription'] = IResolversParentTypes['Subscription']> = {
    dummy?: SubscriptionResolver<Maybe<IResolversTypes['Int']>, "dummy", ParentType, ContextType>;
};
export interface ITimeScalarConfig extends GraphQLScalarTypeConfig<IResolversTypes['Time'], any> {
    name: 'Time';
}
export declare type ITotalConsumptionResolvers<ContextType = MyContext, ParentType extends IResolversParentTypes['TotalConsumption'] = IResolversParentTypes['TotalConsumption']> = {
    request?: Resolver<Maybe<IResolversTypes['RequestsLimits']>, ParentType, ContextType>;
    limits?: Resolver<Maybe<IResolversTypes['RequestsLimits']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType, ContextType>;
};
export interface IURIScalarConfig extends GraphQLScalarTypeConfig<IResolversTypes['URI'], any> {
    name: 'URI';
}
export interface IURIInputScalarConfig extends GraphQLScalarTypeConfig<IResolversTypes['URIInput'], any> {
    name: 'URIInput';
}
export declare type IResolvers<ContextType = MyContext> = {
    AnyObject?: GraphQLScalarType;
    Date?: GraphQLScalarType;
    DateTime?: GraphQLScalarType;
    FieldError?: IFieldErrorResolvers<ContextType>;
    GeoLocation?: IGeoLocationResolvers<ContextType>;
    HelmCommandsGlobalFlags?: IHelmCommandsGlobalFlagsResolvers;
    HelmGetChartResourcesRequest?: IHelmGetChartResourcesRequestResolvers<ContextType>;
    HelmInspectFlags?: IHelmInspectFlagsResolvers;
    HelmInspectRequest?: IHelmInspectRequestResolvers<ContextType>;
    HelmInstallFlags?: IHelmInstallFlagsResolvers;
    HelmInstallTillerRequest?: IHelmInstallTillerRequestResolvers<ContextType>;
    HelmRepoAddRequest?: IHelmRepoAddRequestResolvers<ContextType>;
    HelmRepoFlags?: IHelmRepoFlagsResolvers;
    HelmSearchFlags?: IHelmSearchFlagsResolvers;
    HelmSearchRequest?: IHelmSearchRequestResolvers<ContextType>;
    HelmService?: IHelmServiceResolvers<ContextType>;
    IKubectlLogSettings?: IIKubectlLogSettingsResolvers<ContextType>;
    ISshKeySettings?: IISshKeySettingsResolvers<ContextType>;
    JSON?: GraphQLScalarType;
    JSONObject?: GraphQLScalarType;
    KubectlCmdFlags?: IKubectlCmdFlagsResolvers;
    KubectlLoggerService?: IKubectlLoggerServiceResolvers<ContextType>;
    KubectlLogGetRequest?: IKubectlLogGetRequestResolvers<ContextType>;
    KubectlLogSettings?: IKubectlLogSettingsResolvers<ContextType>;
    KubectlService?: IKubectlServiceResolvers<ContextType>;
    Mutation?: IMutationResolvers<ContextType>;
    Node?: INodeResolvers<ContextType>;
    OptionalInspectFlags?: IOptionalInspectFlagsResolvers<ContextType>;
    OptionalRepoFlags?: IOptionalRepoFlagsResolvers<ContextType>;
    OptionalSearchFlags?: IOptionalSearchFlagsResolvers<ContextType>;
    Query?: IQueryResolvers<ContextType>;
    RequestsLimits?: IRequestsLimitsResolvers<ContextType>;
    Resources?: IResourcesResolvers<ContextType>;
    SshKey?: ISshKeyResolvers<ContextType>;
    SshKeyModel?: ISshKeyModelResolvers<ContextType>;
    SshKeyService?: ISshKeyServiceResolvers<ContextType>;
    SshKeySettings?: ISshKeySettingsResolvers<ContextType>;
    SternCmdFlags?: ISternCmdFlagsResolvers;
    Subscription?: ISubscriptionResolvers<ContextType>;
    Time?: GraphQLScalarType;
    TotalConsumption?: ITotalConsumptionResolvers<ContextType>;
    URI?: GraphQLScalarType;
    URIInput?: GraphQLScalarType;
};
